package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TReportEnergyOut;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 报表1-2-1能源产出表 服务类
 * @since 2020-11-03
 */
public interface TReportEnergyOutService extends IService<TReportEnergyOut> {

    //根据报表id，能源名称获取能源消费表信息
    TReportEnergyOut getOutByReportIdAndName(long reportId, String name);

    //获取完整的能源产出表信息（39项）
    List<TReportEnergyOut> getAllOutByReportId(Long reportId);

    List<TReportEnergyOut> comparison(String enterpriseCode,String year);
}
